﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace hotel
{
    public partial class Form2 : Form
    {
        oda secilen;
        public Form2(oda _secilen)
        {
            InitializeComponent();
            secilen = _secilen;
           
            // dizi ile daha rahat yapilabilir
            checkBox1.Checked = Convert.ToBoolean(secilen.alan1); 
            checkBox2.Checked = Convert.ToBoolean(secilen.alan2); 
            checkBox3.Checked = Convert.ToBoolean(secilen.alan3); 
            checkBox4.Checked = Convert.ToBoolean(secilen.alan4); 
            checkBox5.Checked = Convert.ToBoolean(secilen.alan5); 
            checkBox6.Checked = Convert.ToBoolean(secilen.alan6);  

            for (int i = 1; i < 6; i++)
                comboBox1.Items.Add(i.ToString());
            comboBox1.Text = secilen.yataksayisi.ToString();
          
            label3.Text = secilen.hesapla(1)+" TL/gün";

        }

        private void kaydet_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void elemanlar_Changed(object sender, EventArgs e)
        {
            if (comboBox1.Items.Count>0) // combo dolmadan kayit islemine baslama
            {
                if (comboBox1.SelectedIndex > -1)
                {
                    secilen.yataksayisi = Convert.ToInt32(comboBox1.Text);
                }
                secilen.alan1 = Convert.ToInt32(checkBox1.Checked);
                secilen.alan2 = Convert.ToInt32(checkBox2.Checked);
                secilen.alan3 = Convert.ToInt32(checkBox3.Checked);
                secilen.alan4 = Convert.ToInt32(checkBox4.Checked);
                secilen.alan5 = Convert.ToInt32(checkBox5.Checked);
                secilen.alan6 = Convert.ToInt32(checkBox6.Checked);
                label3.Text = secilen.hesapla(1) + " TL/gün";
            }
        }
    }
}
