﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace hotel
{
    public partial class Form1 : Form
    {
        oda[] odalar= new oda[10]; // nesneleri tasiyan dizi
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 10; i++)
            {
                comboBox1.Items.Add("Oda-" + (i+1));
                odalar[i] = new oda(); // nesneyi olusturup referansi diziye attik
            }
            comboBox1.Text = "Oda Seçiniz";
        }

        private void ekle_Click(object sender, EventArgs e)
        {
            int gun;
            bool kont = Int32.TryParse(tgun.Text, out gun);

            if (comboBox1.SelectedIndex > -1 && gun > 0)
            {
                int hesap = odalar[comboBox1.SelectedIndex].hesapla(gun);
                listBox1.Items.Add(comboBox1.Text);
                listBox2.Items.Add(tgun.Text);
                listBox3.Items.Add(hesap.ToString());

                tgun.Text = "";
                comboBox1.Text = "Oda Seçiniz";

            }
        }

        private void odaduzenle_Click(object sender, EventArgs e)
        {

            int secilenoda = comboBox1.SelectedIndex;

            if (secilenoda > -1)
            {
                Form2 frm2 = new Form2(odalar[secilenoda]);
                frm2.ShowDialog();
                yenidenhesapla();
            }



        }

        public void yenidenhesapla()
        {

            char[] ayrac = {'-'};

            for (int i = 0; i < listBox1.Items.Count; i++)
            {

                string odaadi = listBox1.Items[i].ToString();
                int gunsay=Convert.ToInt32(listBox2.Items[i].ToString()); // kalinacak gun sayisi

                string[] parca = odaadi.Split(ayrac, StringSplitOptions.RemoveEmptyEntries);

                if (parca.Length == 2)
                {
                    int secilen = Convert.ToInt32(parca[1]); // oda numarasi
                    listBox3.Items[i] = odalar[secilen - 1].hesapla(gunsay).ToString(); // odanin nesnesini bul yeniden hesapla
                }
            
            
            }

        
        }

    }


    public class oda {

        public double baslangic=120;
        public int yataksayisi=1, alan1, alan2, alan3, alan4, alan5, alan6; // alan[1-6] secili ise 1 degilse 0
        public double kys=30, ka1=5, ka2=50, ka3=20, ka4=20, ka5=30, ka6=60;

        public int hesapla(int gun)
        {
            double tutar = baslangic;
            double odasabitleri = alan1 * ka1 * yataksayisi + alan2 * ka2 + alan3 * ka3 + alan4 * ka4 * yataksayisi + alan5 * ka5;
            tutar += (yataksayisi-1) * kys + odasabitleri;
            tutar = tutar * gun;
            tutar += alan6 * ka6 * yataksayisi; // gunden bagimsiz
            return (int)tutar;
        
        }
    
    }

}
